indexing

   title:       "Logical commercial formatter class";
   cluster:     "format/commerce [format/commerce]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Igor Nesterof (nest@eiffel.ru)";
   original:    08,Sep,1995;
   version:     1.0;
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "log_com.e"

class LOGICAL_COMMERCIAL_FORMATTER

inherit
   ABSTRACT_COMMERCIAL_FORMATTER
      redefine make, output
   end
   STRING_TOOLS

creation
   make

feature

   make (b : BOOLEAN_REF) is
      do
         bool := b.item
      end

   output : STRING is
   require else
      Non_void_picture : picture /= Void
      do
         if picture.count /= 1 then
            raise_exception("Illegal boolean picture")
         end
         !!Result.make(1)
         inspect
            picture.item(1)
         when 'L' then
            Result.put(ifc(bool,'T','F'),1)
         when 'Y' then
            Result.put(ifc(bool,'Y','N'),1)
         else
            raise_exception("Illegal boolean picture")
         end
      end

feature {NONE}

   bool : BOOLEAN

end -- class LOGICAL_COMMERCIAL_FORMATTER
